%define distsuffix plf
%define release %mkrel 5

Summary: File archiving utility with compression
Name: zoo
Version: 2.10
Release: %release
License: Copyrighted, freely distributable if unmodified
Group: Archiving/Compression
Source: ftp://sunsite.unc.edu:/pub/Linux/utils/compress/zoo-%{version}.tar.gz
Patch0: zoo_2.10-9.diff.gz
Patch1: zoo-memmove.patch
Buildroot: %{_tmppath}/%{name}-buildroot

%description
Zoo is a file archiving utility for maintaining collections of files. 
It uses Lempel-Ziv compression to provide space savings in the 
range of 20 to 80 percent depending on the type of data. Written by 
Rahul Dhesi, and posted to the USENET newsgroup comp.sources.misc.

This package is in plf because license deny modifications.

%prep
%setup -q
%patch0 -p1
%patch1 -p0 -b .memmove

%build
make "OPTIM=$RPM_OPT_FLAGS" linux

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT%{_mandir}/man1
#install -s fiz $RPM_BUILD_ROOT/usr/bin/fiz
install fiz $RPM_BUILD_ROOT/usr/bin/fiz
#install -s zoo $RPM_BUILD_ROOT/usr/bin/zoo
install zoo $RPM_BUILD_ROOT/usr/bin/zoo
install fiz.1 $RPM_BUILD_ROOT%{_mandir}/man1/fiz.1
install zoo.1 $RPM_BUILD_ROOT%{_mandir}/man1/zoo.1

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644, root, root, 0755)
%doc Copyright
%attr(0755, root, root) /usr/bin/fiz
%attr(0755, root, root) /usr/bin/zoo
%{_mandir}/man1/*

%changelog
* Wed Sep 13 2006 Nicolas Lcureuil <neoclust@zarb.org> 2.10-5plf2007.0
- Rebuild

* Thu May 11 2006 Olivier Thauvin <nanardon@zarb.org> 2.10-4plf
- rebuild

* Mon Mar 28 2005 Olivier Thauvin <nanardon@zarb.org> 2.10-3plf
- rebuild
- %%mkrel
- add plf reason

* Sun Jun 15 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.10-2plf
- From Troels Liebe Bentsen <tlb@rapanden.dk>
    - Rebuild for plf and grabed the debian patch for this package to
    make it build on newer gcc versions. 

* Mon Dec 09 2002 Troels Liebe Bentsen <tlb@rapanden.dk> 2.10-1mdk
- First Mandrake version.

* Wed Oct  2 2002 Ramiro Morales <rm-rpms@gmx.net> 2.10-1
- Final release numbering scheme
- Copyright -> License

* Tue Aug 13 2002 Ramiro Morales <rm-rpms@gmx.net>
- Macroize man pages path

* Tue Apr  2 2002 Ramiro Morales <rm-rpms@gmx.net>
- Change my e-mail address
- Re-format specfile

* Mon Aug 27 2001 Ramiro Morales <rmrpms@usa.net>
- Build on RHL 6.2
- Macroize a little more (%%{_tmppath}in buildroot, %%{_mandir})
- Re-format description
- Pass -q to %%setup
- Don'strip manually the executables

* Sun May 16 1999 Peter Soos <sp@osb.hu>

- using %attr macros to build the package as ordinary user

* Wed Nov 5 1997 Michael Vergallen <mvergall@double-barrel.be>

- changed all calls from ulong --> my_ulong, uint --> my_uint 
  and ushort --> my_ushort. to avoid conflict with the typedefs
  in glibc.

- modified all calls to basename to my_basename so it doesn't 
  interfere with the GNU basename util.
